aboutsummaryrefslogtreecommitdiff
path: root/.buildscript
diff options
context:
space:
mode:
Diffstat (limited to '.buildscript')
-rwxr-xr-x.buildscript/deploy_snapshot.sh2
1 files changed, 2 insertions, 0 deletions
diff --git a/.buildscript/deploy_snapshot.sh b/.buildscript/deploy_snapshot.sh
index ac651d9..bf747da 100755
--- a/.buildscript/deploy_snapshot.sh
+++ b/.buildscript/deploy_snapshot.sh
@@ -9,6 +9,8 @@ SLUG="square/javawriter"
JDK="oraclejdk8"
BRANCH="master"
+set -e
+
if [ "$TRAVIS_REPO_SLUG" != "$SLUG" ]; then
echo "Skipping snapshot deployment: wrong repository. Expected '$SLUG' but was '$TRAVIS_REPO_SLUG'."
elif [ "$TRAVIS_JDK_VERSION" != "$JDK" ]; then